# OSPCAT

## SYNOPSIS

`ospcat` [ `option...` ]

## DESCRIPTION

Ospcat (SGML print catalog) prints effective system identifiers found in the catalogs on the standard output. It doesn't check that the system identifiers correspond to actual files. The return value is 0 if the last system identifier was successfully created and 1 otherwise.

## OPTIONS

The following options are available:

`-C`, `--catalogs`
`-bname`, `--bctf=name`
`-ffile`, `--error-file=file`
`-csysid`, `--catalog=sysid`,
`-Ddirectory`, `--directory=directory`
`-R`, `--restricted`
  These options have the same effect as in onsgmls.
`-v`, `--version`
  Print the version number.
`-h`, `--help`
  Print a help message and exit.
`-Pliteral`, `--public-id=literal`
  Print the effective system identifier for the public identifier `literal`.
`-Sliteral`, `-system_id=literal`
  Print the effective system identifier for the system identifier `literal`.
`-pname`, `--parameter-entity=name`
  Print the effective system identifier for the parameter entity `name`.
`-dname`, `--doctype=name`
  Print the effective system identifier for the declaration of the document type `name`.
`-lname`, `--linktype=name`
  Print the effective system identifier for the declaration of the link type `name`.
`-ename`, `--entity=name`
  Print the effective system identifier for the general entity `name`.
`-nname`, `--notation=name`
  Print the effective system identifier for the notation `name`.
`-sname`, `--declaration=name`
  Print the effective system identifier for the SGML declaration associated with the document type `name`. This currently ignores `DTDDECL` catalog entries and just returns the value of the `SGMLDECL` entry.